Package org.apache.wiki.api.spi

## Class ContentsDSL

- java.lang.Object
- - org.apache.wiki.api.spi.ContentsDSL

    public class ContentsDSL
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Attachment` `attachment​(Engine engine, java.lang.String parentPage, java.lang.String fileName)` Creates a new `Attachment`.
`Page` `page​(Engine engine, java.lang.String name)` Creates a `Page` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### attachment

    public Attachment attachment​(Engine engine,
                                 java.lang.String parentPage,
                                 java.lang.String fileName)

Creates a new `Attachment`. The final name of the attachment will be a synthesis of the parent page name and the file name.

Parameters:
  `engine` - The Engine which is hosting this attachment.
  `parentPage` - The page which will contain this attachment.
  `fileName` - The file name for the attachment.
Returns:
  new `Attachment` instance.

#### page

    public Page page​(Engine engine,
                     java.lang.String name)

Creates a `Page` instance.

Parameters:
  `engine` - The Engine that owns this page.
  `name` - The name of the page.
Returns:
  new `Page` instance.